## cssc 1.4.1

=== tests/Makefile ===
# Makefile.in generated by automake 1.14.1 from Makefile.am.
# tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/CSSC
pkgincludedir = $(includedir)/CSSC
pkglibdir = $(libdir)/CSSC
pkglibexecdir = $(libexecdir)/CSSC
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = tests
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am README
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps =  \
	$(top_srcdir)/unit-tests/googletest/m4/acx_pthread.m4 \
	$(top_srcdir)/m4/00gnulib.m4 \
	$(top_srcdir)/m4/absolute-header.m4 $(top_srcdir)/m4/close.m4 \
	$(top_srcdir)/m4/closedir.m4 $(top_srcdir)/m4/ctype.m4 \
	$(top_srcdir)/m4/dirent-safer.m4 $(top_srcdir)/m4/dirent_h.m4 \
	$(top_srcdir)/m4/dirfd.m4 $(top_srcdir)/m4/dup.m4 \
	$(top_srcdir)/m4/dup2.m4 $(top_srcdir)/m4/errno_h.m4 \
	$(top_srcdir)/m4/extensions.m4 \
	$(top_srcdir)/m4/extern-inline.m4 $(top_srcdir)/m4/fcntl-o.m4 \
	$(top_srcdir)/m4/fcntl.m4 $(top_srcdir)/m4/fcntl_h.m4 \
	$(top_srcdir)/m4/fdopen.m4 $(top_srcdir)/m4/fseek.m4 \
	$(top_srcdir)/m4/fseeko.m4 $(top_srcdir)/m4/fstat.m4 \
	$(top_srcdir)/m4/getcwd.m4 $(top_srcdir)/m4/getdtablesize.m4 \
	$(top_srcdir)/m4/gettimeofday.m4 \
	$(top_srcdir)/m4/gnulib-common.m4 \
	$(top_srcdir)/m4/gnulib-comp.m4 \
	$(top_srcdir)/m4/include_next.m4 \
	$(top_srcdir)/m4/inttypes-pri.m4 $(top_srcdir)/m4/inttypes.m4 \
	$(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/longlong.m4 $(top_srcdir)/m4/lseek.m4 \
	$(top_srcdir)/m4/lstat.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/manywarnings.m4 $(top_srcdir)/m4/mode_t.m4 \
	$(top_srcdir)/m4/msvc-inval.m4 \
	$(top_srcdir)/m4/msvc-nothrow.m4 $(top_srcdir)/m4/multiarch.m4 \
	$(top_srcdir)/m4/off_t.m4 $(top_srcdir)/m4/onceonly.m4 \
	$(top_srcdir)/m4/open.m4 $(top_srcdir)/m4/opendir.m4 \
	$(top_srcdir)/m4/pathmax.m4 $(top_srcdir)/m4/pthread.m4 \
	$(top_srcdir)/m4/sched_h.m4 $(top_srcdir)/m4/signal_h.m4 \
	$(top_srcdir)/m4/ssize_t.m4 $(top_srcdir)/m4/stat.m4 \
	$(top_srcdir)/m4/std-gnu11.m4 $(top_srcdir)/m4/stdalign.m4 \
	$(top_srcdir)/m4/stdarg.m4 $(top_srcdir)/m4/stdbool.m4 \
	$(top_srcdir)/m4/stddef_h.m4 $(top_srcdir)/m4/stdint.m4 \
	$(top_srcdir)/m4/stdio_h.m4 $(top_srcdir)/m4/stdlib_h.m4 \
	$(top_srcdir)/m4/string_h.m4 $(top_srcdir)/m4/symlink.m4 \
	$(top_srcdir)/m4/sys_file_h.m4 \
	$(top_srcdir)/m4/sys_socket_h.m4 \
	$(top_srcdir)/m4/sys_stat_h.m4 $(top_srcdir)/m4/sys_time_h.m4 \
	$(top_srcdir)/m4/sys_types_h.m4 $(top_srcdir)/m4/sys_wait_h.m4 \
	$(top_srcdir)/m4/time_h.m4 $(top_srcdir)/m4/ungetc.m4 \
	$(top_srcdir)/m4/unistd-safer.m4 $(top_srcdir)/m4/unistd_h.m4 \
	$(top_srcdir)/m4/warn-on-use.m4 $(top_srcdir)/m4/warnings.m4 \
	$(top_srcdir)/m4/wchar_h.m4 $(top_srcdir)/m4/wchar_t.m4 \
	$(top_srcdir)/m4/wint_t.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/james/source/GNU/CSSC/git/cssc/build-aux/missing aclocal-1.14
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
APPLE_UNIVERSAL_BUILD = 0
AR = ar
ARFLAGS = cr
AUTOCONF = ${SHELL} /home/james/source/GNU/CSSC/git/cssc/build-aux/missing autoconf
AUTOHEADER = ${SHELL} /home/james/source/GNU/CSSC/git/cssc/build-aux/missing autoheader
AUTOMAKE = ${SHELL} /home/james/source/GNU/CSSC/git/cssc/build-aux/missing automake-1.14
AWK = gawk
BITSIZEOF_PTRDIFF_T = 
BITSIZEOF_SIG_ATOMIC_T = 
BITSIZEOF_SIZE_T = 
BITSIZEOF_WCHAR_T = 
BITSIZEOF_WINT_T = 
CC = gcc -std=gnu11
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CONFIG_DIFF_COMMAND = /usr/bin/diff
CONFIG_INCLUDE = config.h
CPP = gcc -std=gnu11 -E
CPPFLAGS = 
CXX = g++ -std=gnu++11
CXXCPP = g++ -std=gnu++11 -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EMULTIHOP_HIDDEN = 
EMULTIHOP_VALUE = 
ENOLINK_HIDDEN = 
ENOLINK_VALUE = 
EOVERFLOW_HIDDEN = 
EOVERFLOW_VALUE = 
ERRNO_H = 
EXEEXT = 
FGREP = /bin/grep -F
GNULIB_ALPHASORT = 0
GNULIB_ATOLL = 0
GNULIB_BTOWC = 0
GNULIB_CALLOC_POSIX = 0
GNULIB_CANONICALIZE_FILE_NAME = 0
GNULIB_CHDIR = 0
GNULIB_CHOWN = 0
GNULIB_CLOSE = 1
GNULIB_CLOSEDIR = 1
GNULIB_DIRFD = 1
GNULIB_DPRINTF = 0
GNULIB_DUP = IN_CSSC_GNULIB_TESTS
GNULIB_DUP2 = 1
GNULIB_DUP3 = 0
GNULIB_ENVIRON = 0
GNULIB_EUIDACCESS = 0
GNULIB_FACCESSAT = 0
GNULIB_FCHDIR = 0
GNULIB_FCHMODAT = 0
GNULIB_FCHOWNAT = 0
GNULIB_FCLOSE = 0
GNULIB_FCNTL = 1
GNULIB_FDATASYNC = 0
GNULIB_FDOPEN = IN_CSSC_GNULIB_TESTS
GNULIB_FDOPENDIR = 0
GNULIB_FFLUSH = 0
GNULIB_FFSL = 0
GNULIB_FFSLL = 0
GNULIB_FGETC = 1
GNULIB_FGETS = 1
GNULIB_FLOCK = 0
GNULIB_FOPEN = 0
GNULIB_FPRINTF = 1
GNULIB_FPRINTF_POSIX = 0
GNULIB_FPURGE = 0
GNULIB_FPUTC = 1
GNULIB_FPUTS = 1
GNULIB_FREAD = 1
GNULIB_FREOPEN = 0
GNULIB_FSCANF = 1
GNULIB_FSEEK = 1
GNULIB_FSEEKO = 1
GNULIB_FSTAT = 1
GNULIB_FSTATAT = 0
GNULIB_FSYNC = 0
GNULIB_FTELL = 0
GNULIB_FTELLO = 0
GNULIB_FTRUNCATE = 0
GNULIB_FUTIMENS = 0
GNULIB_FWRITE = 1
GNULIB_GETC = 1
GNULIB_GETCHAR = 1
GNULIB_GETCWD = IN_CSSC_GNULIB_TESTS
GNULIB_GETDELIM = 0
GNULIB_GETDOMAINNAME = 0
GNULIB_GETDTABLESIZE = 1
GNULIB_GETGROUPS = 0
GNULIB_GETHOSTNAME = 0
GNULIB_GETLINE = 0
GNULIB_GETLOADAVG = 0
GNULIB_GETLOGIN = 0
GNULIB_GETLOGIN_R = 0
GNULIB_GETPAGESIZE = 0
GNULIB_GETSUBOPT = 0
GNULIB_GETTIMEOFDAY = 1
GNULIB_GETUSERSHELL = 0
GNULIB_GRANTPT = 0
GNULIB_GROUP_MEMBER = 0
GNULIB_IMAXABS = 0
GNULIB_IMAXDIV = 0
GNULIB_ISATTY = 0
GNULIB_ISBLANK = 0
GNULIB_LCHMOD = 0
GNULIB_LCHOWN = 0
GNULIB_LINK = 0
GNULIB_LINKAT = 0
GNULIB_LSEEK = 1
GNULIB_LSTAT = IN_CSSC_GNULIB_TESTS
GNULIB_MALLOC_POSIX = 0
GNULIB_MBRLEN = 0
GNULIB_MBRTOWC = 0
GNULIB_MBSCASECMP = 0
GNULIB_MBSCASESTR = 0
GNULIB_MBSCHR = 0
GNULIB_MBSCSPN = 0
GNULIB_MBSINIT = 0
GNULIB_MBSLEN = 0
GNULIB_MBSNCASECMP = 0
GNULIB_MBSNLEN = 0
GNULIB_MBSNRTOWCS = 0
GNULIB_MBSPBRK = 0
GNULIB_MBSPCASECMP = 0
GNULIB_MBSRCHR = 0
GNULIB_MBSRTOWCS = 0
GNULIB_MBSSEP = 0
GNULIB_MBSSPN = 0
GNULIB_MBSSTR = 0
GNULIB_MBSTOK_R = 0
GNULIB_MBTOWC = 0
GNULIB_MEMCHR = 0
GNULIB_MEMMEM = 0
GNULIB_MEMPCPY = 0
GNULIB_MEMRCHR = 0
GNULIB_MKDIRAT = 0
GNULIB_MKDTEMP = 0
GNULIB_MKFIFO = 0
GNULIB_MKFIFOAT = 0
GNULIB_MKNOD = 0
GNULIB_MKNODAT = 0
GNULIB_MKOSTEMP = 0
GNULIB_MKOSTEMPS = 0
GNULIB_MKSTEMP = 0
GNULIB_MKSTEMPS = 0
GNULIB_MKTIME = 0
GNULIB_NANOSLEEP = 0
GNULIB_NONBLOCKING = 0
GNULIB_OBSTACK_PRINTF = 0
GNULIB_OBSTACK_PRINTF_POSIX = 0
GNULIB_OPEN = IN_CSSC_GNULIB_TESTS
GNULIB_OPENAT = 0
GNULIB_OPENDIR = 1
GNULIB_PCLOSE = 0
GNULIB_PERROR = 0
GNULIB_PIPE = 0
GNULIB_PIPE2 = 0
GNULIB_POPEN = 0
GNULIB_POSIX_OPENPT = 0
GNULIB_PREAD = 0
GNULIB_PRINTF = 1
GNULIB_PRINTF_POSIX = 0
GNULIB_PTHREAD_SIGMASK = 0
GNULIB_PTSNAME = 0
GNULIB_PTSNAME_R = 0
GNULIB_PUTC = 1
GNULIB_PUTCHAR = 1
GNULIB_PUTENV = 0
GNULIB_PUTS = 1
GNULIB_PWRITE = 0
GNULIB_QSORT_R = 0
GNULIB_RAISE = 0
GNULIB_RANDOM = 0
GNULIB_RANDOM_R = 0
GNULIB_RAWMEMCHR = 0
GNULIB_READ = 0
GNULIB_READDIR = 0
GNULIB_READLINK = 0
GNULIB_READLINKAT = 0
GNULIB_REALLOC_POSIX = 0
GNULIB_REALPATH = 0
GNULIB_REMOVE = 0
GNULIB_RENAME = 0
GNULIB_RENAMEAT = 0
GNULIB_REWINDDIR = 0
GNULIB_RMDIR = 0
GNULIB_RPMATCH = 0
GNULIB_SCANDIR = 0
GNULIB_SCANF = 1
GNULIB_SECURE_GETENV = 0
GNULIB_SETENV = 0
GNULIB_SETHOSTNAME = 0
GNULIB_SIGACTION = 0
GNULIB_SIGNAL_H_SIGPIPE = 0
GNULIB_SIGPROCMASK = 0
GNULIB_SLEEP = 0
GNULIB_SNPRINTF = 0
GNULIB_SPRINTF_POSIX = 0
GNULIB_STAT = IN_CSSC_GNULIB_TESTS
GNULIB_STDIO_H_NONBLOCKING = 0
GNULIB_STDIO_H_SIGPIPE = 0
GNULIB_STPCPY = 0
GNULIB_STPNCPY = 0
GNULIB_STRCASESTR = 0
GNULIB_STRCHRNUL = 0
GNULIB_STRDUP = 0
GNULIB_STRERROR = 0
GNULIB_STRERROR_R = 0
GNULIB_STRNCAT = 0
GNULIB_STRNDUP = 0
GNULIB_STRNLEN = 0
GNULIB_STRPBRK = 0
GNULIB_STRPTIME = 0
GNULIB_STRSEP = 0
GNULIB_STRSIGNAL = 0
GNULIB_STRSTR = 0
GNULIB_STRTOD = 0
GNULIB_STRTOIMAX = 0
GNULIB_STRTOK_R = 0
GNULIB_STRTOLL = 0
GNULIB_STRTOULL = 0
GNULIB_STRTOUMAX = 0
GNULIB_STRVERSCMP = 0
GNULIB_SYMLINK = IN_CSSC_GNULIB_TESTS
GNULIB_SYMLINKAT = 0
GNULIB_SYSTEM_POSIX = 0
GNULIB_TIMEGM = 0
GNULIB_TIME_R = 0
GNULIB_TIME_RZ = 0
GNULIB_TMPFILE = 0
GNULIB_TTYNAME_R = 0
GNULIB_UNISTD_H_NONBLOCKING = 0
GNULIB_UNISTD_H_SIGPIPE = 0
GNULIB_UNLINK = 0
GNULIB_UNLINKAT = 0
GNULIB_UNLOCKPT = 0
GNULIB_UNSETENV = 0
GNULIB_USLEEP = 0
GNULIB_UTIMENSAT = 0
GNULIB_VASPRINTF = 0
GNULIB_VDPRINTF = 0
GNULIB_VFPRINTF = 1
GNULIB_VFPRINTF_POSIX = 0
GNULIB_VFSCANF = 0
GNULIB_VPRINTF = 1
GNULIB_VPRINTF_POSIX = 0
GNULIB_VSCANF = 0
GNULIB_VSNPRINTF = 0
GNULIB_VSPRINTF_POSIX = 0
GNULIB_WAITPID = 0
GNULIB_WCPCPY = 0
GNULIB_WCPNCPY = 0
GNULIB_WCRTOMB = 0
GNULIB_WCSCASECMP = 0
GNULIB_WCSCAT = 0
GNULIB_WCSCHR = 0
GNULIB_WCSCMP = 0
GNULIB_WCSCOLL = 0
GNULIB_WCSCPY = 0
GNULIB_WCSCSPN = 0
GNULIB_WCSDUP = 0
GNULIB_WCSLEN = 0
GNULIB_WCSNCASECMP = 0
GNULIB_WCSNCAT = 0
GNULIB_WCSNCMP = 0
GNULIB_WCSNCPY = 0
GNULIB_WCSNLEN = 0
GNULIB_WCSNRTOMBS = 0

## cssc 1.3.0

=== debian/changelog ===
cssc (1.3.0-4) unstable; urgency=low

  * Condition death tests with GTEST_HAS_DEATH_TEST, which is not
    available for kfreebsd and hurd in the included version of gtest.

 -- Yann Dirson <dirson@debian.org>  Sat, 07 Sep 2013 22:56:26 +0200

cssc (1.3.0-3) unstable; urgency=low

  * Add missing unistd.h inclusion breaking build on non-linux platforms
    in unit-tests/googletest/include/gtest/internal/gtest-port.h.

 -- Yann Dirson <dirson@debian.org>  Fri, 06 Sep 2013 23:43:33 +0200

cssc (1.3.0-2) unstable; urgency=low

  * Use dh autotools_dev module to refresh config.*, adjust build-depends.

 -- Yann Dirson <dirson@debian.org>  Fri, 06 Sep 2013 22:26:55 +0200

cssc (1.3.0-1) unstable; urgency=low

  * New upstream release.
    * No more docs/FIXED file to install.
  * Switched to source format "3.0 (quilt)".
  * Switched to debhelper 9 and dh.
  * Remove -D__USE_BSD flag, apparently not useful any more.
  * Fixed src/file.h not including sys/types.h before using gid_t.
  * Hacked gl/lib/stdio.h not to cause build failure on "gets" token.
  * Fixed typo "allows one to" in doc-base file (lintian).
  * Forced regeneration of shipped prebuilt info file.
  * Add lintian override for source, to avoid false GFDL error due to
    missing patch context.
  * Replaced use of texi2html with simple "make html".
  * Fixed cssc.texi for typo in @insertcopying usage, and missing
    references to "sccs admin" subtopics, which prevented curent makeinfo
    to work.
  * Fixed typo in README.Debian.

 -- Yann Dirson <dirson@debian.org>  Wed, 04 Sep 2013 01:37:21 +0200

cssc (1.2.0-2) unstable; urgency=low

  * Force removal of info/dir in case gnu install-info is installed (and
    since there does not seem to be any standard for handling the problem)
    (Closes: #573684).
  * Switch from "dh_clean -k" to dh_prep.
  * Switch section from devel to vcs to match archive override.

 -- Yann Dirson <dirson@debian.org>  Fri, 19 Mar 2010 22:20:55 +0100

cssc (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/watch, debian/copyright: for new upstream URLs.
  * debian/copyright: now covered by GPLv3.
  * Switch to debhelper compat v7.
  * Add Homepage field to debian/control.
  * Be sure not to ship info/dir file (lintian).
  * Capitalize doc-base section (lintian).
  * Replace unknown man code .om with .Nm (already used in similar places).
  * Bumped Standards-Version to 3.8.4, no change.

 -- Yann Dirson <dirson@debian.org>  Sun, 07 Mar 2010 20:49:16 +0100

cssc (1.0.1-4) unstable; urgency=low

  * Adjusted extended description.
  * Install cssc.cgi in /usr/lib/cgi-bin, its doc in the usual place, add
    a note about it in extended description, and suggest groff.
  * Updated debian/watch.

 -- Yann Dirson <dirson@debian.org>  Thu, 22 Dec 2005 00:12:57 +0100

cssc (1.0.1-3) unstable; urgency=low

  * Applied patch for g++-3.4 (Closes: #276131).
  * This uploads will allow rebuild with proper ABI on ia64 (Closes:
    #330639).
  * Updated FSF address in copyright file (lintian).
  * Nuked 3 empty lines from sccs.1 (lintian).
  * Switch to debhelper compat v4:
    * added ${misc:Depends} to control file.
  * Bumped Standards-Version to 3.6.2, no change.

 -- Yann Dirson <dirson@debian.org>  Sat,  8 Oct 2005 14:29:32 +0200

cssc (1.0.1-2) unstable; urgency=low

  * Rebuilt with g++-4.0.

 -- Yann Dirson <dirson@debian.org>  Tue,  5 Jul 2005 23:20:32 +0200

cssc (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Removed all those small patches to the code necessary for woody-era
    compilers.

 -- Yann Dirson <dirson@debian.org>  Thu, 27 Jan 2005 21:12:30 +0100

cssc (1.00-1) unstable; urgency=low

  * New upstream release
    - supports the Solaris 8 'y' flag (Closes: #275000).
  * Added debian/watch file.
  * Removed the "in development" notice from extended description.

 -- Yann Dirson <dirson@debian.org>  Sun, 10 Oct 2004 21:43:40 +0200

cssc (0.16alpha.pl0-1) unstable; urgency=low

  * New upstream release:
    * get-spec.txt not shipped any more.
  * Use dh-buildinfo.
  * Bumped Standards-Version to 3.6.1, no change.

 -- Yann Dirson <dirson@debian.org>  Tue,  9 Dec 2003 16:04:28 +0100

cssc (0.15alpha.pl0-3) unstable; urgency=low

  * Rebuilt with g++-3.3.
  * Changed default build opts to current policy; honor noopt flag.
  * Bumped Standards-Version to 3.5.10.
  * Use debian/compat, adjusted debhelper builddep to 3.4.4 or greater.

 -- Yann Dirson <dirson@debian.org>  Sun,  1 Jun 2003 16:27:59 +0200

cssc (0.15alpha.pl0-2) unstable; urgency=low

  * Rebuilt with g++-3.2.
  * Removed hacks required by bugs in older g++ versions.
  * Removed full stop in short desc (lintian).

 -- Yann Dirson <dirson@debian.org>  Fri, 17 Jan 2003 10:38:32 +0100

cssc (0.15alpha.pl0-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Tue, 24 Dec 2002 00:35:26 +0100

cssc (0.14alpha.pl0-3) unstable; urgency=low

  * Completely revamped extended description (Closes: #142498).
  * Force use of g++-3.0 on ia64 to workaround a bug in 2.96, and add
    build-dep (Closes: #145859).

 -- Yann Dirson <dirson@debian.org>  Fri, 24 May 2002 00:19:52 +0200

cssc (0.14alpha.pl0-2) unstable; urgency=low

  * Fixed a couple of missing includes, some of which cause failure under
    g++-3.0 (Closes: #142323), and addressed a handful of other warnings.
  * Use DESTDIR for install, not "prefix".
  * Force --enable-binary (previously activated by autodetection).

 -- Yann Dirson <dirson@debian.org>  Fri, 12 Apr 2002 01:56:12 +0200

cssc (0.14alpha.pl0-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Mon,  8 Apr 2002 23:31:44 +0200

cssc (0.13alpha.pl1a-1) unstable; urgency=low

  * New upstream release (Closes: #120080).

 -- Yann Dirson <dirson@debian.org>  Mon, 26 Nov 2001 22:47:08 +0100

cssc (0.13alpha.pl0-2) unstable; urgency=low

  * Added build-dep on texi2html (Closes: #114147).



=== debian/control ===
Source: cssc
Section: vcs
Priority: extra
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends: debhelper (>= 9), texinfo, dh-buildinfo, autotools-dev
Standards-Version: 3.8.4
Homepage: http://www.gnu.org/software/cssc/

Package: cssc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: groff
Description: Clone of the Unix SCCS revision-control system
 SCCS is a per-file revision-control system. It is a de-facto standard
 on commercial Unices, being shipped with most of those.
 .
 GNU-based systems usually use RCS instead of SCCS - indeed it has been
 a choice to design RCS instead of implementing a free SCCS clone.  RCS
 was designed to address some problems with SCCS (eg. extraction time
 grows linearly with the size of the history file), but it has anyway
 problems of its own (eg. extraction time of branches grows with trunk
 length).
 .
 Some project-wide revision-control systems, like Aegis, can make use
 of CSSC instead of RCS.
 .
 This package also provides a web frontend to navigate the history of
 files under SCCS control, with optional support for formatting of
 manpages using groff.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

%:
	dh $@ --parallel --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --enable-binary
override_dh_auto_clean:
	test ! -r Makefile || $(MAKE) -j1 distclean

override_dh_auto_build:
	dh_auto_build
 # force regeneration of prebuilt info file
	rm -f docs/*.info*
	$(MAKE) info html

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/cssc/usr/share/doc/cssc
	cp -a docs/cssc.html debian/cssc/usr/share/doc/cssc/
	dh_buildinfo

override_dh_install:
	dh_install
	chmod +x debian/cssc/usr/lib/cgi-bin/*.cgi

## cssc 1.4.0

=== debian/changelog ===
cssc (1.4.0-5build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:18:02 +0000

cssc (1.4.0-5) unstable; urgency=medium

  * Revert --max-parallel=1 on dh_auto_test, which changed nothing.
  * Fix test-utils/yes not aborting when puts fails (with EPIPE in the
    case of #788863).  This may not completely fix the problem however, we
    still need to know why the parent script does not terminates.

 -- Yann Dirson <dirson@debian.org>  Fri, 26 Jun 2015 23:33:07 +0200

cssc (1.4.0-4) unstable; urgency=medium

  * Make sure autopkgtest runs the "initial" test first
  * Set --max-parallel=1 on dh_auto_test to avoid potentially unforeseen
    races (Closes: #788863).

 -- Yann Dirson <dirson@debian.org>  Thu, 25 Jun 2015 23:12:27 +0200

cssc (1.4.0-3) unstable; urgency=medium

  * Force use of bash to run regression tests, as using a shell without
    "echo -e" requires an additional tool to be built.

 -- Yann Dirson <dirson@debian.org>  Mon, 08 Jun 2015 21:13:26 +0200

cssc (1.4.0-2) unstable; urgency=medium

  * Allow to run most regression tests using autopkgtest.
  * Improve "clean" target to cleanup temporary test files.
  * Be sure a stray envvar won't cause the wrong binaries to be tested.

 -- Yann Dirson <dirson@debian.org>  Sat, 30 May 2015 18:24:36 +0200

cssc (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches:
    - 01-groff.diff
    - 04-fix-texinfo
    - 06-gtest-death-tests
  * Dropped patches integrated or superceded upstream:
    - 02-gl-lib-gets
    - 03-sys-types
    - 05-unistd
  * Backup shipped .info file instead of shipping a patch.
  * Updated list of doc files to be shipped.
  * Updated debian/copyright with full BSD license.
  * Added VCs-* fields.
  * New patches for /tmp races (Closes: #521197):
    - use mktemp in sccsdiff
    - quickly reviewed file-creation in C++ code, seems quite sane, the
      remaining warning in the doc is likely over-reaching.  Will see
      with upstream how to improve that.
  * Bumped Standards-Version to 3.9.5.

 -- Yann Dirson <dirson@debian.org>  Tue, 09 Sep 2014 22:55:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: cssc
 Section: vcs
 Priority: extra
-Maintainer: Yann Dirson <dirson@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Yann Dirson <dirson@debian.org>
 Build-Depends: debhelper (>= 9), texinfo, dh-buildinfo, autotools-dev
-Standards-Version: 3.8.4
 Homepage: http://www.gnu.org/software/cssc/
+Vcs-git: git://anonscm.debian.org/collab-maint/cssc.git
+Vcs-browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cssc.git;a=summary
+Testsuite: autopkgtest
+Standards-Version: 3.9.5
 
 Package: cssc
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,21 @@
 	dh $@ --parallel --with autotools_dev
 
 override_dh_auto_configure:
+	test -e cssc.info.save || cp -a docs/cssc.info cssc.info.save
 	dh_auto_configure -- --enable-binary
 override_dh_auto_clean:
+	test ! -e cssc.info.save || mv cssc.info.save docs/cssc.info
 	test ! -r Makefile || $(MAKE) -j1 distclean
+	rm -f tests/sccsdiff/get.*
 
 override_dh_auto_build:
 	dh_auto_build
  # force regeneration of prebuilt info file
 	rm -f docs/*.info*
 	$(MAKE) info html
+
+override_dh_auto_test:
+	unset dir; dh_auto_test
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/tests/control ===
Test-Command: debian/tests/run initial/root.sh

#Test-Command: debian/tests/run admin/abspath.sh
# realpwd

Test-Command: debian/tests/run admin/admin-hz.sh

Test-Command: debian/tests/run admin/comment.sh

Test-Command: debian/tests/run admin/flags.sh

Test-Command: debian/tests/run admin/hardlinks.sh

Test-Command: debian/tests/run admin/i-option.sh

Test-Command: debian/tests/run admin/init-mr.sh

Test-Command: debian/tests/run admin/locks.sh

Test-Command: debian/tests/run admin/r-option.sh

Test-Command: debian/tests/run admin/t-option.sh

Test-Command: debian/tests/run admin/users.sh

Test-Command: debian/tests/run admin/y-flag.sh

Test-Command: debian/tests/run binary/auto.sh

Test-Command: debian/tests/run binary/binbasic.sh

Test-Command: debian/tests/run binary/diff.sh

#Test-Command: debian/tests/run binary/eightbit.sh
# uudecode

#Test-Command: debian/tests/run binary/seeking.sh
# yammer

#Test-Command: debian/tests/run bsd-sccs/delsfile.sh
# needs both sccs and admin in the same dir!

#Test-Command: debian/tests/run bsd-sccs/driver-basic.sh
# needs both sccs and admin in the same dir!

#Test-Command: debian/tests/run bsd-sccs/sf595594.sh
# needs both sccs and get in the same dir!

Test-Command: debian/tests/run cdc/1general.sh

Test-Command: debian/tests/run cdc/2comment.sh

Test-Command: debian/tests/run cdc/3MRs.sh

Test-Command: debian/tests/run cdc/4order.sh

Test-Command: debian/tests/run delta/MRs.sh

Test-Command: debian/tests/run delta/basic.sh

#Test-Command: debian/tests/run delta/errorcase.sh
# user

Test-Command: debian/tests/run delta/n-option.sh

Test-Command: debian/tests/run delta/nulldelta.sh

Test-Command: debian/tests/run delta/options.sh

Test-Command: debian/tests/run delta/p-option.sh

Test-Command: debian/tests/run get/a-option.sh

Test-Command: debian/tests/run get/annotate.sh

Test-Command: debian/tests/run get/branch.sh

Test-Command: debian/tests/run get/create.sh

Test-Command: debian/tests/run get/defsid.sh

#Test-Command: debian/tests/run get/delta-summary.sh
# uudecode

Test-Command: debian/tests/run get/errorcases.sh

Test-Command: debian/tests/run get/excl_ig_1.sh

Test-Command: debian/tests/run get/excl_ig_2.sh

Test-Command: debian/tests/run get/gg_get_ix.sh

Test-Command: debian/tests/run get/included.sh

Test-Command: debian/tests/run get/middle-fail.sh
Restrictions: allow-stderr

Test-Command: debian/tests/run get/no-sfile.sh

Test-Command: debian/tests/run get/only-one.sh

Test-Command: debian/tests/run get/optorder.sh

Test-Command: debian/tests/run get/removed-delta.sh

Test-Command: debian/tests/run get/sep_subst.sh

#Test-Command: debian/tests/run get/sf111140.sh
# uudecode

Test-Command: debian/tests/run get/sf479916.sh

Test-Command: debian/tests/run get/sf664900.sh

Test-Command: debian/tests/run get/sf865422.sh

#Test-Command: debian/tests/run get/sid-select.sh
# uudecode

Test-Command: debian/tests/run get/sid-select2.sh

#Test-Command: debian/tests/run get/subst.sh
# uudecode

## cssc 1.4.1

=== debian/changelog ===
cssc (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Include upstream signing key.
  * Drop patches 01-groff and 04-fix-texinfo, integrated upstream.
  * Drop patches impacting mylist, not applicable any more.
  * Remove usage of obsolete dh-buildinfo.
  * Switch priority from extra to optional.
  * Remove usage of "dh --with autotools_dev".
  * Bump Standards-Version to 4.4.1.

 -- Yann Dirson <dirson@debian.org>  Sun, 06 Oct 2019 16:37:32 +0200

cssc (1.4.0-6) unstable; urgency=medium

  * Fix mylist inc/decrement operators to return what they should (Closes:
    #897731).
  * Drop long-obsolete debian/source/lintian-override.
  * Drop now-useless "Testsuite: autopkgtest" form debian/control (lintian).
  * Update Vcs fields for salsa.

 -- Yann Dirson <dirson@debian.org>  Sat, 11 Aug 2018 23:59:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: cssc
 Section: vcs
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Yann Dirson <dirson@debian.org>
-Build-Depends: debhelper (>= 9), texinfo, dh-buildinfo, autotools-dev
+Priority: optional
+Maintainer: Yann Dirson <dirson@debian.org>
+Build-Depends: debhelper (>= 9), texinfo, autotools-dev
 Homepage: http://www.gnu.org/software/cssc/
-Vcs-git: git://anonscm.debian.org/collab-maint/cssc.git
-Vcs-browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cssc.git;a=summary
-Testsuite: autopkgtest
-Standards-Version: 3.9.5
+Vcs-git: https://salsa.debian.org/debian/cssc.git
+Vcs-browser: https://salsa.debian.org/debian/cssc
+Standards-Version: 4.4.1
 
 Package: cssc
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DH_VERBOSE=1
 
 %:
-	dh $@ --parallel --with autotools_dev
+	dh $@ --parallel
 
 override_dh_auto_configure:
 	test -e cssc.info.save || cp -a docs/cssc.info cssc.info.save
@@ -27,7 +27,6 @@
 	dh_auto_install
 	mkdir -p debian/cssc/usr/share/doc/cssc
 	cp -a docs/cssc.html debian/cssc/usr/share/doc/cssc/
-	dh_buildinfo
 
 override_dh_install:
 	dh_install
